---@meta posix.libgen

---@class posix_libgen*
---@field version string
---@type posix_libgen*
local M = {}

---@param path string
---@return string basename
function M.basename(path) end

---@param path string
---@return string dirname
function M.dirname(path) end

return M
